$tablet-width: 768px;
$desktop-width: 1024px;

@mixin tablet {
  @media (min-width: #{$tablet-width}) and (max-width: #{$desktop-width - 1px}) {
    @content;
  }
}

@mixin desktop {
  @media (min-width: #{$desktop-width}) {
    @content;
  }
}

body {
  margin: 0;
  font-family: "Roboto", sans-serif;

  --color1: #492e27;
  --color2: #4b6c65;
  --color3: #decb6e;
  --color4: #8b9575;
  --color5: #2a3151;
  --bg-color1: #2e2e2e;
  --fg-color1: #fff;
  --bg-color2: #f5f5f5;
  --a-hover: #45aed6;
}

.header {
  display: block;
  height: 4em;
  background-color: rgba(#fff, 0.5);
  display: flex;
  align-items: center;

  .logo {
    margin-left: 1em;
    margin-top: 0.5em;
    width: 4em;
    height: 2em;
    background-image: url(/images/minilogo.png);
    background-repeat: no-repeat;
  }
}

.main-menu {
  display: grid;
  grid-template-columns: repeat(6, 1fr);

  .menu-item {
    height: 5em;
    background-color: gray;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    .title {
      padding: 0.5em;
      display: inline-block;
      color: white;
      font-size: 1.1em;
      text-align: center;
    }

    &:nth-of-type(1) {
      background-color: var(--color1);
    }
    &:nth-of-type(2) {
      background-color: var(--color2);
    }
    &:nth-of-type(3) {
      background-color: var(--color3);
    }
    &:nth-of-type(4) {
      background-color: var(--color2);
    }
    &:nth-of-type(5) {
      background-color: var(--color4);
    }
    &:nth-of-type(6) {
      background-color: var(--color5);
    }
  }
}

.container {
  max-width: 80ch;
  margin: 0 auto;
}

footer {
  font-size: 0.9rem;
  padding-top: 2em;
  padding-bottom: 2em;
  color: var(--fg-color1);
  background: var(--bg-color1);

  .social {
    .icon {
      display: inline-block;
      font-size: 1.1rem;
      padding: 0.3rem;
    }
    text-align: right;
  }

  a {
    color: var(--fg-color1);

    &:hover {
      color: var(--a-hover);
    }
  }

  .fcontainer {
    margin: 0 auto;
    width: 100%;

    display: grid;
    grid-template-columns: 3fr 1fr;
  }

  @include tablet {
    .fcontainer {
      width: 750px;
    }
  }

  @include desktop {
    .fcontainer {
      width: 970px;
    }
  }
}
